=== modified file 'doc/developers/case-insensitive-file-systems.txt'
--- doc/developers/case-insensitive-file-systems.txt	2008-12-21 07:33:23 +0000
+++ doc/developers/case-insensitive-file-systems.txt	2008-12-23 04:20:49 +0000
@@ -48,17 +48,17 @@
 adjust the case specified by the user so it exactly matches an existing item.
 
 There are two places this match can be performed against - the file-system
-and the Bazaar inventory.  When looking at the file-system, it is generally
-impossible to have 2 names that differ only by case, so there is no ambiguity.
-The inventory doesn't have the same rules, but it is expected that projects
-which with to work with Windows would, by convention, avoid filenames that
-differ only by case.
+and the Bazaar inventory.  When looking at a case-insensitive file-system, it
+is impossible to have 2 names that differ only by case, so there is no
+ambiguity. The inventory doesn't have the same rules, but it is expected that
+projects which wish to work with Windows would, by convention, avoid filenames
+that differ only by case.
 
 The rules for such fixups turn out to be quite simple:
 
 * If an argument refers to an existing inventory item, we fixup the argument
   using the inventory.  This is, basically, all commands that take a filename
-  or directory argument *other* than 'add'
+  or directory argument *other* than 'add' and in some cases 'mv'
 
 * If an argument refers to an existing filename for the creation of an
   inventory item (eg, add), then the case of the existing file on the disk
@@ -67,7 +67,9 @@
 
 * If an argument results in the creation of a *new* filename (eg, a move
   destination), the argument will be used as specified.  Bzr will create
-  a file and inventory item that exactly matches the case specified.
+  a file and inventory item that exactly matches the case specified (although
+  as above, care must be taken to avoid creating two inventory items that
+  differ only by case.)
 
 Implementation of support for these file-systems
 ------------------------------------------------
@@ -85,7 +87,9 @@
   Tree.get_file_by_path() etc; returns a name with the case adjusted to match
   existing inventory items.
 
-NOTE: It is likely these names will change.
+* osutils.canonical_relpaths() and Tree.get_canonical_inventory_paths() - like
+  the 'singular' versions above, but accept and return sequences and therefore
+  offer more optimization opportunities when working with multiple names.
 
 The only complication is the requirement that Bazaar not allow the creation
 of items that differ only by case on such file-systems.  For this requirement,

